# Role: wireguard

## Description

Installs wireguard tools and configures wireguard interfaces.

https://www.wireguard.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.wireguard
  vars:
    ...
```

### Vars

`wireguard_interfaces`:

List of wireguard interfaces to setup.
Objects have the following fields:
- 'name'
- 'enabled'
- 'config'
